Subject: Re: [PATCH 05/20] bootwrapper: flatdevtree fixes

From: David Gibson <[email-masked]>
Date: Tue, 21 Aug 2007 12:30:44 +1000

On Mon, Aug 20, 2007 at 12:39:49PM -0500, Scott Wood wrote:
> 1. ft_create_node was returning the internal pointer rather than a phandle.
> 2. ft_find_device_rel was treating a "top" phandle of NULL as an error,
> rather than as the root of the tree.
> 3. Return the node's name when getprop() is called with the "name"
> property.

Hrm.  I'm not convinced.  (1) certainly needs fixing.  (2) is kind of
unclear - there is an ft_find_device() after all for doing root-based
searches.  (3) I really dislike;  I just don't see the point.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson